gdjs.FirstCode = {};


gdjs.FirstCode.GDLoaderObjects1= [];

gdjs.FirstCode.conditionTrue_0 = {val:false};
gdjs.FirstCode.condition0IsTrue_0 = {val:false};
gdjs.FirstCode.condition1IsTrue_0 = {val:false};

gdjs.FirstCode.func = function(runtimeScene, context) {
context.startNewFrame();
gdjs.FirstCode.GDLoaderObjects1.length = 0;


{

gdjs.FirstCode.GDLoaderObjects1.createFrom(runtimeScene.getObjects("Loader"));

gdjs.FirstCode.condition0IsTrue_0.val = false;
{
gdjs.FirstCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.timerElapsedTime(runtimeScene, 0.01, "load");
}if (gdjs.FirstCode.condition0IsTrue_0.val) {
{for(var i = 0, len = gdjs.FirstCode.GDLoaderObjects1.length ;i < len;++i) {
    gdjs.FirstCode.GDLoaderObjects1[i].setDirectionOrAngle(gdjs.FirstCode.GDLoaderObjects1[i].getDirectionOrAngle() + (3));
}
}{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "load");
}}

}


{


{gdjs.evtTools.storage.readNumberFromJSONFile("Settings.txt", "Son", runtimeScene, runtimeScene.getVariables().getFromIndex(0));
}{runtimeScene.getGame().getVariables().getFromIndex(2).setNumber(gdjs.evtTools.common.getVariableNumber(runtimeScene.getVariables().getFromIndex(0)));
}{gdjs.evtTools.runtimeScene.changeScene(runtimeScene, "Démarrer sons");
}
}

return;
}
gdjs['FirstCode']= gdjs.FirstCode;
